# InfoBrowser.InfoBrowserForm Class Reference

List of all members.

## Public Member Functions
| InfoBrowserForm ()
| Creates the info browser form.
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.

## Detailed Description

Definition at line 15 of file InfoBrowserForm.cs.

## Constructor & Destructor Documentation

InfoBrowser.InfoBrowserForm.InfoBrowserForm | ( |  | ) |

Creates the info browser form.

Definition at line 31 of file InfoBrowserForm.cs.

    00032         {
    00033             InitializeComponent();
    00034
    00035             this.toolStripStatusLabel1.Text = string.Empty;
    00036
    00037             this.toolStripButton1.Image = new Bitmap(@"Icons\back.gif");
    00038             this.toolStripButton1.Enabled = false;
    00039             this.webBrowser1.CanGoBackChanged += new EventHandler(webBrowser1_CanGoBackChanged);
    00040
    00041             this.toolStripButton2.Image = new Bitmap(@"Icons\reload.gif");
    00042             this.toolStripButton2.Enabled = false;
    00043
    00044             this.toolStripButton3.Image = new Bitmap(@"Icons\forward.gif");
    00045             this.toolStripButton3.Enabled = false;
    00046             this.webBrowser1.CanGoForwardChanged += new EventHandler(webBrowser1_CanGoForwardChanged);
    00047
    00048             this.toolStripButton4.Image = new Bitmap(@"Icons\stop.gif");
    00049             this.toolStripButton4.Enabled = false;
    00050
    00051             this.webBrowser1.Navigating += new WebBrowserNavigatingEventHandler(webBrowser1_Navigating);
    00052             this.webBrowser1.Navigated += new WebBrowserNavigatedEventHandler(webBrowser1_Navigated);
    00053             this.webBrowser1.ProgressChanged += new WebBrowserProgressChangedEventHandler(webBrowser1_ProgressChanged);
    00054             this.webBrowser1.DocumentTitleChanged += new EventHandler(webBrowser1_DocumentTitleChanged);
    00055
    00056             this.treeViewInfoLinks.NodeMouseClick += new TreeNodeMouseClickEventHandler(treeView1_NodeMouseClick);
    00057             // this.treeView1.Font = new Font(FontFamily.GenericSansSerif, 8.0f, FontStyle.Bold);
    00058
    00059             // Start the UDP background receiver
    00060             this.infoLinkReceiver = new InfoLinkReceiver(ReceiverCallback);
    00061             this.infoLinkReceiver.StartListener();
    00062
    00063             // Add an initial link
    00064             AddInfoLinkToTree(new InfoLink(
    00065                 "General Topics",
    00066                 "Physics",
    00067                 "What is Physics?",
    00068                 new Uri("http://en.wikipedia.org/wiki/Physics")));
    00069
    00070             // Write welcome message into browser and clear URL
    00071             string html = File.ReadAllText("Welcome.htm");
    00072             WriteHtmlIntoBrowser(html);
    00073             this.textBox1.Text = string.Empty;
    00074
    00075         }

## Member Function Documentation

override void InfoBrowser.InfoBrowserForm.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file InfoBrowserForm.Designer.cs.

    00015         {
    00016             if (disposing && (components != null))
    00017             {
    00018                 components.Dispose();
    00019             }
    00020             base.Dispose(disposing);
    00021         }

The documentation for this class was generated from the following files:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/InfoBrowser/InfoBrowserForm.cs
- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/InfoBrowser/InfoBrowserForm.Designer.cs